Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancois Le Fevre2017-03-23 04:36:45 -0400
committerGerrit Code Review @ Eclipse.org2017-05-02 07:59:12 -0400
commit6d4dcd0016ef7c5a8bb719ab06577ee4dca152a1 (patch)
treee30338275a64d932f0bb4058a80515d7042fc67f /extraplugins/papyrus4education
parent6df4255b7e8f143986cfb3261fbf308140694c17 (diff)
downloadorg.eclipse.papyrus-6d4dcd0016ef7c5a8bb719ab06577ee4dca152a1.tar.gz
org.eclipse.papyrus-6d4dcd0016ef7c5a8bb719ab06577ee4dca152a1.tar.xz
org.eclipse.papyrus-6d4dcd0016ef7c5a8bb719ab06577ee4dca152a1.zip
Bug 514048 - [Toolsmiths][newchild] switch from string based model to
real ereference model based with uml and not ecore model Actions -creation of uml model from ecore -manually edition to add package to filters and elementtype -creation class diagram -modification of model to add an ereference -suppression of string reference -suppression the default element type function as deprecated -create a new one that took the CreationMenu as parameter -regenerate the model,edit and editor code -adapt the test models to the new model -migration of creationmenumodelS to the new version with an automatic dom tool -upgrade the plugin version Tests -run org.eclipse.papyrus.infra.newchild.tests -open the different touched creationmenumodel files Change-Id: Iab6808a34ba765e03371240ae72846ad0f223241 Signed-off-by: Francois Le Fevre <francois.le-fevre@cea.fr>
Diffstat (limited to 'extraplugins/papyrus4education')
-rw-r--r--extraplugins/papyrus4education/org.eclipse.papyrus.uml.diagram.education/META-INF/MANIFEST.MF2
1 files changed, 1 insertions, 1 deletions
diff --git a/extraplugins/papyrus4education/org.eclipse.papyrus.uml.diagram.education/META-INF/MANIFEST.MF b/extraplugins/papyrus4education/org.eclipse.papyrus.uml.diagram.education/META-INF/MANIFEST.MF
index 5f301fc666d..1d02fdcf146 100644
--- a/extraplugins/papyrus4education/org.eclipse.papyrus.uml.diagram.education/META-INF/MANIFEST.MF
+++ b/extraplugins/papyrus4education/org.eclipse.papyrus.uml.diagram.education/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="[2.0.0,3.0.0)",
- org.eclipse.papyrus.infra.newchild;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.infra.newchild;bundle-version="[3.0.0,4.0.0)",
org.eclipse.papyrus.infra.properties.ui;bundle-version="[2.0.0,3.0.0)",
org.eclipse.uml2.uml,
org.eclipse.papyrus.infra.core;bundle-version="[3.0.0,4.0.0)",

Back to the top